import java.util.Vector;

public class GameFrame extends MyFrame {
    public void run() {
        GameWorld.player=new Player(100, 300, 0, 0);
        addKeyListener(GameWorld.player);
        GameWorld.playerBullets=new Vector<PlayerBullet>();// 追加
        while (true) {
            clear();
            GameWorld.player.draw(this);
            GameWorld.player.move();
            int i=0;
            while (i<GameWorld.playerBullets.size()) { // 追加
                PlayerBullet b=GameWorld.playerBullets.get(i);
                b.draw(this);
                b.move();
                i++;
            }// 追加ここまで
            sleep(0.03);
        }
    }
}
